package cn.muchinfo.rma.global.data.chart

/**
 * 行情Tik数据 通过outGoodsCode请求
 */
data class HistoryTikData(
    var AV : String? = "",    //    卖量
    var Ask : String? = "",   //    卖价
    var BV : String? = "",    //    买量
    var Bid : String? = "",   //    买价
    var HI : String? = "",    //    单笔持仓
    var HV : String? = "",    //    持仓量
    var PE : String? = "",    //    现价
    var TDR : String? = "",   //    交易方向，0:买 1:卖
    var TK : String? = "",    //    交易类型
    var TS : String? = "",    //    行情时间文本
    var TT : String? = "",    //    现金额
    var Vol : String? = ""    //    现量
){
    fun getSalesVolume() : String = AV.toString()
    fun getSalesPrice() : String = Ask.toString()
    fun getBuyVolume() : String = BV.toString()
    fun getBuyPrice() : String = Bid.toString()
    fun getSinglePosition() : String = HI.toString()
    fun getHolderVolume() : String = HV.toString()
    fun getCurrentPrice() : String = PE.toString()
    fun getTransactionDirection() : String = TDR.toString()
    fun getTransactionType() : String = TK.toString()
    fun getQuoteTime() : String = TS.toString()
    fun getCashAmount() : String = TT.toString()
    fun getCurrentAmount() : String = Vol.toString()

}